Loading...
Searching...
No Matches
janus_rtp_forwarder Struct Reference

Helper struct for implementing RTP forwarders. More...

`#include <rtpfwd.h>`

Collaboration diagram for janus_rtp_forwarder:
[legend]

## Data Fields

void * | source
char * | context
uint32_t | stream_id
int | udp_fd
gboolean | is_video
gboolean | is_data
uint32_t | ssrc
int | payload_type
int | substream
struct sockaddr_in | serv_addr
struct sockaddr_in6 | serv_addr6
int | rtcp_fd
uint16_t | local_rtcp_port
uint16_t | remote_rtcp_port
void(* | rtcp_callback )(struct janus_rtp_forwarder *rf, char *buffer, int len)
GSource * | rtcp_recv
gboolean | simulcast
janus_rtp_switching_context | rtp_context
janus_rtp_simulcasting_context | sim_context
gboolean | is_srtp
srtp_t | srtp_ctx
srtp_policy_t | srtp_policy
void * | metadata
volatile gint | destroyed
| Atomic flag to check if this instance has been destroyed.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

Helper struct for implementing RTP forwarders.

## Field Documentation

## context

char* janus_rtp_forwarder::context

## destroyed

volatile gint janus_rtp_forwarder::destroyed

Atomic flag to check if this instance has been destroyed.

## is_data

gboolean janus_rtp_forwarder::is_data

## is_srtp

gboolean janus_rtp_forwarder::is_srtp

## is_video

gboolean janus_rtp_forwarder::is_video

## local_rtcp_port

uint16_t janus_rtp_forwarder::local_rtcp_port

## metadata

void* janus_rtp_forwarder::metadata

## payload_type

int janus_rtp_forwarder::payload_type

## ref

janus_refcount janus_rtp_forwarder::ref

Reference counter for this instance.

## remote_rtcp_port

uint16_t janus_rtp_forwarder::remote_rtcp_port

## rtcp_callback

void(* janus_rtp_forwarder::rtcp_callback) (struct janus_rtp_forwarder *rf, char *buffer, int len)

## rtcp_fd

int janus_rtp_forwarder::rtcp_fd

## rtcp_recv

GSource* janus_rtp_forwarder::rtcp_recv

## rtp_context

janus_rtp_switching_context janus_rtp_forwarder::rtp_context

## serv_addr

struct sockaddr_in janus_rtp_forwarder::serv_addr

## serv_addr6

struct sockaddr_in6 janus_rtp_forwarder::serv_addr6

## sim_context

janus_rtp_simulcasting_context janus_rtp_forwarder::sim_context

## simulcast

gboolean janus_rtp_forwarder::simulcast

## source

void* janus_rtp_forwarder::source

## srtp_ctx

srtp_t janus_rtp_forwarder::srtp_ctx

## srtp_policy

srtp_policy_t janus_rtp_forwarder::srtp_policy

## ssrc

uint32_t janus_rtp_forwarder::ssrc

## stream_id

uint32_t janus_rtp_forwarder::stream_id

## substream

int janus_rtp_forwarder::substream

## udp_fd

int janus_rtp_forwarder::udp_fd

The documentation for this struct was generated from the following file:

- rtpfwd.h